Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.cics
Class AsyncCicsCall

    java.lang.Object
      com.stc.eways.cics.AsyncCicsCall

All Implemented Interfaces:
  SBYNDCicsProxyConstants

    public class AsyncCicsCall

extends java.lang.Object
implements SBYNDCicsProxyConstants

The `AsyncCicsCall` class represents an asynchronous call to a CICS program either by using CTG or SYBND CICS Listener;

In the ETD, a node `AsyncCalls` is exposed which is a list of AsyncCall instances each representing an async call to a CICS program, the call might be pending or finished, the status of the call can be checked via method - isDone().

`AsyncCalls` is the place where calls are registered, and the underlying async response handling mechanism will take the response information - be it error code or the comm area return;

A call is registered by the collaboration issuing the call and will be harvested and/or removed also by the same collaboration, if there are collaborations subscribed to the async response topic - `_AsyncResponseTopic` - this is indicated by a non empty value in `_AsyncResponseTopic`.

It is the responsibility of the collaboration to indicate this by setting ETD node `AsyncResponseTopic` with the topic name which the async response event will be published to before the call is executed. Note, the topic value must coincide with an event type in the schema and there must be collaboration(s) subscribed to the topic, in another words, these collaborations will be notified when there are events published by the async call handling mechanism when an async call returns

Field Summary

Fields inherited from interface com.stc.eways.cics.SBYNDCicsProxyConstants
`CALL_ERROR, CALL_OK, CICSLSTNR_ASYNC_RSP_MSG_PROP_COMMLEN, CICSLSTNR_ASYNC_RSP_MSG_PROP_MSG, CICSLSTNR_ASYNC_RSP_MSG_PROP_PROGRAM, CICSLSTNR_ASYNC_RSP_MSG_PROP_RC, CICSLSTNR_ASYNC_RSP_MSG_PROP_RETURNTIME, CICSLSTNR_ASYNC_RSP_MSG_PROP_SC, CICSLSTNR_ASYNC_RSP_MSG_PROP_STARTTIME, CICSLSTNR_ASYNC_RSP_MSG_PROP_TOPIC, CICSLSTNR_C_ACR_OFFSET_APPL_TIMEOUT, CICSLSTNR_C_ACR_OFFSET_COMM_LEN, CICSLSTNR_C_ACR_OFFSET_HEADER, CICSLSTNR_C_ACR_OFFSET_PADCHAR, CICSLSTNR_C_ACR_OFFSET_PASSWORD, CICSLSTNR_C_ACR_OFFSET_PAYLOAD_LEN, CICSLSTNR_C_ACR_OFFSET_PROGNAME, CICSLSTNR_C_ACR_OFFSET_RC, CICSLSTNR_C_ACR_OFFSET_REQCODE, CICSLSTNR_C_ACR_OFFSET_RM, CICSLSTNR_C_ACR_OFFSET_USERID, CICSLSTNR_C_BUFFER_SIZE, CICSLSTNR_C_CONTROLRECORD_ENCODING, CICSLSTNR_C_IC_RECORD_DELIMITER, CICSLSTNR_C_IC_RECORD_SIZE, CICSLSTNR_C_ICR_OFFSET_APPL_TIMEOUT, CICSLSTNR_C_ICR_OFFSET_FILLER, CICSLSTNR_C_ICR_OFFSET_LISTENER_TIMEOUT, CICSLSTNR_C_ICR_OFFSET_PASSWD, CICSLSTNR_C_ICR_OFFSET_PAYLOAD_DELIMETER, CICSLSTNR_C_ICR_OFFSET_POLLING_RATE, CICSLSTNR_C_ICR_OFFSET_STARTUP_DELAY, CICSLSTNR_C_ICR_OFFSET_STARTUP_TYPE, CICSLSTNR_C_ICR_OFFSET_STARTUP_TYPE_DELIMETER, CICSLSTNR_C_ICR_OFFSET_TRANSID, CICSLSTNR_C_ICR_OFFSET_TRANSID_DELIMETER, CICSLSTNR_C_ICR_OFFSET_TRANSPORT_TIMEOUT, CICSLSTNR_C_ICR_OFFSET_USERID, CICSLSTNR_C_MIN_ACR_HEADER_SIZE, CICSLSTNR_C_SEEBEYOND_LISTENER, CICSLSTNR_C_SPACE, CICSLSTNR_C_TRANSACTION_GATEWAY, CICSLSTNR_E_ACR_INCONSISTENT, CICSLSTNR_E_ACR_LEN_SHORTER_THAN_MIN_ACR_LEN, CICSLSTNR_E_ASYNCCALL_LIST_NOT_AVAILABLE, CICSLSTNR_E_ASYNCCALL_NOT_AVAILABLE, CICSLSTNR_E_ASYNCCALLHANDLER_REQUIRED, CICSLSTNR_E_BYTESAVAILABLE, CICSLSTNR_E_CICS_SERVER_REQUIRED, CICSLSTNR_E_CLIENT_NOT_CONNECTED, CICSLSTNR_E_CLOSE_SOCKET, CICSLSTNR_E_CONFIG_CLONE_NOT_AVAILABLE_ASYNC_EXECUTE, CICSLSTNR_E_CONFIG_INVALID_PARAM, CICSLSTNR_E_CONNECT_BAD_RESPONSE, CICSLSTNR_E_CONNECT_FAILED_EMPTY_TRANSID, CICSLSTNR_E_CONNECT_FAILED_GEN_INITREC_ERROR, CICSLSTNR_E_CONNECT_FAILED_INVALID_TRANSID, CICSLSTNR_E_CONNECT_GET_NACK_FROM_LISTENER, CICSLSTNR_E_CONNECT_UNEXPECTED_RESPONSE, CICSLSTNR_E_CONNECTION, CICSLSTNR_E_CTG_GATEWAY_ERROR, CICSLSTNR_E_DISCONNECT_FAILED, CICSLSTNR_E_ETD_INSTANCE_NOT_AVAILABLE_WHEN_CHECK_CONN, CICSLSTNR_E_ETD_INSTANCE_NOT_AVAILABLE_WHEN_CLOSE_CONN, CICSLSTNR_E_ETD_INSTANCE_NOT_AVAILABLE_WHEN_OPEN_CONN, CICSLSTNR_E_EXCEPTION_REMOVING_ASYNCCALL, CICSLSTNR_E_EXECUTE_BAD_RESPONSE, CICSLSTNR_E_EXECUTE_BAD_RESULT, CICSLSTNR_E_EXECUTE_GET_RESULT, CICSLSTNR_E_EXECUTE_REQ_NACKED, CICSLSTNR_E_EXECUTE_TIMEOUT, CICSLSTNR_E_EXECUTE_UNEXPECTED_RESPONSE, CICSLSTNR_E_EXPECTING_LSTNR_RSP4SHUTDOWN, CICSLSTNR_E_FAILED_RECV_LSTNR_RSP4SHUTDOWN, CICSLSTNR_E_INVALID_ACR_LENGTH_HEADER, CICSLSTNR_E_INVALID_ACR_PAYLOADLEN, CICSLSTNR_E_INVALID_COMMAREA_LENGTH, CICSLSTNR_E_INVALID_CONNECTOR_TYPE, CICSLSTNR_E_INVALID_OPERATION, CICSLSTNR_E_INVALID_OPERATION_4_CTG, CICSLSTNR_E_INVALID_OPERATION_4_LISTENER, CICSLSTNR_E_INVALID_OPERATION_ON_INBOUND_RECORD, CICSLSTNR_E_INVALID_PADCHAR, CICSLSTNR_E_INVALID_REQUEST_CODE, CICSLSTNR_E_INVALID_RETURN_CODE, CICSLSTNR_E_INVALID_TIMEOUT, CICSLSTNR_E_ITERATOR_NOT_AVAILABLE_WHEN_INVOKE, CICSLSTNR_E_MISSING_PROGNAME_WHEN_PREPARE_ACR, CICSLSTNR_E_PROGRAM_REQUIRED, CICSLSTNR_E_RECEV_RESPONSE_SOCKETEXCEPTION, CICSLSTNR_E_RECEV_RESPONSE_TIMEOUT, CICSLSTNR_E_RECV, CICSLSTNR_E_REMOVE_ASYNCCALL_OUTSTANDING, CICSLSTNR_E_SEND, CICSLSTNR_E_SENDREQUEST_PAYLOAD_LENGTH_CHANGED, CICSLSTNR_E_UNEXPECTED_RECORD, CICSLSTNR_PARAM_CONN_TRANSPORT, CICSLSTNR_PARAM_HOST, CICSLSTNR_PARAM_KEEPALIVE, CICSLSTNR_PARAM_LISTENERTIMEOUT, CICSLSTNR_PARAM_NODELAY, CICSLSTNR_PARAM_PADCHAR, CICSLSTNR_PARAM_POLLINGRATE, CICSLSTNR_PARAM_PORT, CICSLSTNR_PARAM_RECVBUFSIZE, CICSLSTNR_PARAM_SBYNDLISTENER_TRANSID, CICSLSTNR_PARAM_SENDBUFSIZE, CICSLSTNR_PARAM_STARTDELAY, CICSLSTNR_PARAM_STARTTYPE, CICSLSTNR_PARAM_TPTIMEOUT, CICSLSTNR_PARAM_TRANSPORTTIMEOUT, CICSLSTNR_T_CHECK_CONNECTION, CICSLSTNR_T_CONNECT_ALREADY, CICSLSTNR_T_CONNECT_ATTEMPTED, CICSLSTNR_T_CONNECT_DONE, CICSLSTNR_T_CONNECTION_ESTABLISH_FAILED, CICSLSTNR_T_CONNECTION_REUSE, CICSLSTNR_T_EMPTY_ENCODING_DEF_ASSUMED, CICSLSTNR_T_EXECUTE_ASYNC_CALL_RESPONSED_WITH_OK, CICSLSTNR_T_RECV_MSG_EOF, CICSLSTNR_T_RECV_MSG_OK, CICSLSTNR_T_RECV_MSG_PARTIAL, CICSLSTNR_T_RECV_MSG_TIMEOUT, CICSLSTNR_T_REMOVED_ASYNCCALL, CICSLSTNR_T_REMOVING_ASYNCCALL, CICSLSTNR_T_SHUTDOWN_LISTNER_OK, CICSLSTNR_T_SHUTDOWN_LISTNER_RSP_WITH_ERROR, messages, SBYND_LISTENER_RC_AUTHENTICATION_FAILURE, SBYND_LISTENER_RC_BAD_COMMAREA, SBYND_LISTENER_RC_CANNOT_GET_INIT_PARAM, SBYND_LISTENER_RC_ERR_SET_NON_BLOCKING, SBYND_LISTENER_RC_INIT_ERR_STARTUP_TYPE_IC, SBYND_LISTENER_RC_INIT_ERR_STARTUP_TYPE_TD, SBYND_LISTENER_RC_INVALID_APPL_TIMEOUT, SBYND_LISTENER_RC_INVALID_CA_LENGTH, SBYND_LISTENER_RC_INVALID_LISTENER_TIMEOUT, SBYND_LISTENER_RC_INVALID_MSG_LENGTH, SBYND_LISTENER_RC_INVALID_PROGNAME, SBYND_LISTENER_RC_INVALID_REQCODE, SBYND_LISTENER_RC_INVALID_RSPCODE, SBYND_LISTENER_RC_INVALID_TRANSPORT_TIMEOUT, SBYND_LISTENER_RC_OK, SBYND_LISTENER_RC_PARTIAL_MSG, SBYND_LISTENER_RC_PASSWD_ENCRYPT_ERROR, SBYND_LISTENER_RC_PROG_LINK_ERROR, SBYND_LISTENER_RC_TRANS_START_ERROR, SBYND_LISTENER_REQCODE_DESC_LSTNR_RETURN4SYNC, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4ASYNC, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4ASYNCSTART, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4INIT, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4SHUTDOWN, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4SYNC, SBYND_LISTENER_REQCODE_DESC_REQ_ASYNC, SBYND_LISTENER_REQCODE_DESC_REQ_SYNC, SBYND_LISTENER_REQCODE_DESC_REQ4SHUTDOWN, SBYND_LISTENER_REQCODE_DESC_REQISCONNECTED, SBYND_LISTENER_REQCODE_DESC_RSP4ASYNCLINKRSP, SBYND_LISTENER_REQCODE_DESC_RSP4RETURN, SBYND_LISTENER_REQCODE_LSTNR_RETURN4SYNC, SBYND_LISTENER_REQCODE_LSTNR_RSP4ASYNC, SBYND_LISTENER_REQCODE_LSTNR_RSP4ASYNCSTART, SBYND_LISTENER_REQCODE_LSTNR_RSP4INIT, SBYND_LISTENER_REQCODE_LSTNR_RSP4SHUTDOWN, SBYND_LISTENER_REQCODE_LSTNR_RSP4SYNC, SBYND_LISTENER_REQCODE_LSTNR_RSPISCONNECTED, SBYND_LISTENER_REQCODE_REQ_ASYNC, SBYND_LISTENER_REQCODE_REQ_SYNC, SBYND_LISTENER_REQCODE_REQ4SHUTDOWN, SBYND_LISTENER_REQCODE_REQISCONNECTED, SBYND_LISTENER_REQCODE_RSP4ASYNCLINKRSP, SBYND_LISTENER_REQCODE_RSP4RETURN`

Constructor Summary
`AsyncCicsCall()`

Method Summary
`void` | `close()`
`void` | `execute()` Issue an async call and proceed
`java.lang.Object` | `getAsyncCallHandler()`
`byte[]` | `getCommArea()` Getter for the CommArea - the CommArea used for passing data and get result from a program invoked;
`int` | `getCommAreaLength()` Getter for the CommAreaLength - the CommAreaLength which specify the length of the CommArea used when the CICS program is called, note that the actual length of the byte array represented as `CommArea` is not necessarily the length specified in `CommAreaLength`;
`boolean` | `getDone()`
`boolean` | `getEciExtend()`
`int` | `getEciLuwToken()`
`boolean` | `getEciSync()`
`boolean` | `getEciTPN()`
`java.lang.String` | `getJMSparam1()` Getter for user parameter 1;
`java.lang.String` | `getJMSparam2()` Getter for user parameter 2;
`java.lang.String` | `getJMSparam3()` Getter for user parameter 3;
`java.lang.String` | `getJMSparam4()` Getter for user parameter 4;
`java.lang.String` | `getJMSparam5()` Getter for user parameter 5;
`int` | `getMessageQualifier()`
`int` | `getNotifPort()` Getter for Async Response Notification server port;
`java.lang.String` | `getNotifServer()` Getter for Async Response Notification server name;
`java.lang.String` | `getPassword()`
`int` | `getPort()`
`java.lang.String` | `getProgram()` Getter for the name of the program invoked;
`void` | `getResponse()` Read from the listener the result of the program call;
`int` | `getReturnCode()` Getter for the return code for the program call;
`java.lang.String` | `getReturnCodeStr()` Getter for the symbolic name for the return code for the program call;
`java.lang.String` | `getReturnMessage()` Getter for the return message for the program call;
`long` | `getReturnTime()` Getter for the return time of the program call;
`int` | `getSecondaryReturnCode()` Getter for the secondary return code for the program call;
`java.lang.String` | `getSecondaryReturnCodeStr()` Getter for the symbolic name for the secondary return code for the program call;
`java.lang.String` | `getServer()`
`java.lang.String` | `getSslClass()`
`java.lang.String` | `getSslPassword()`
`long` | `getStartTime()` Getter for the start time of the program call;
`java.lang.String` | `getTopic()` Getter for Topic - the topic that the completion event of the program will be published to;
`java.lang.String` | `getTransId()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUserId()`
`boolean` | `isDone()`
`void` | `publish()` Publish the async call completion event - it includes information such as CommArea content and other properties of the event such as error code, error text, start time, return time program name, etc.
`boolean` | `returnCodeIs(int returncode)`
`boolean` | `secondaryReturnCodeIs(int secondaryreturncode)`
`void` | `setAsyncCallHandler(java.lang.Object handler)`
`void` | `setCommArea(byte[] byteArray)` Setter for the CommArea - the CommArea used for passing data and get result from a program invoked;
`void` | `setCommAreaLength(int length)` Setter for the CommAreaLength;
`void` | `setDone(boolean done)`
`void` | `setEciExtend(boolean b)`
`void` | `setEciLuwToken(int i)`
`void` | `setEciSync(boolean b)`
`void` | `setEciTPN(boolean b)`
`void` | `setJMSparam1(java.lang.String jmsparam1)` Setter for user parameter 1;
`void` | `setJMSparam2(java.lang.String jmsparam2)` Setter for user parameter 2;
`void` | `setJMSparam3(java.lang.String jmsparam3)` Setter for user parameter 3;
`void` | `setJMSparam4(java.lang.String jmsparam4)` Setter for user parameter 4;
`void` | `setJMSparam5(java.lang.String jmsparam5)` Setter for user parameter 5;
`void` | `setMessageQualifier(int i)`
`void` | `setNotifPort(int port)` Setter for Async Response Notification server port;
`void` | `setNotifServer(java.lang.String server)` Setter for Async Response Notification server name;
`void` | `setPassword(java.lang.String s)`
`void` | `setPort(int i)`
`void` | `setProgram(java.lang.String program)` Setter for the name of the program invoked;
`void` | `setReturnCode(int code)` Setter for the return code - the primary return code
`void` | `setReturnMessage(java.lang.String msg)` Setter for the return message;
`void` | `setReturnTime(long time)` Setter for the return time - the time when the program returned;
`void` | `setSBYNDCicsProxyConfig(SBYNDCicsProxyConfig config)`
`void` | `setSecondaryReturnCode(int code)` Setter for the secondary return code - the secondary return code
`void` | `setServer(java.lang.String s)`
`void` | `setSslClass(java.lang.String s)`
`void` | `setSslPassword(java.lang.String s)`
`void` | `setStartTime(long time)` Setter for the start time - the time when the program call is issued;
`void` | `setTopic(java.lang.String topic)` Setter for Topic - the name of the topic that the completion event of the program will be published to;
`void` | `setTransId(java.lang.String s)`
`void` | `setUrl(java.lang.String s)`
`void` | `setUserId(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsyncCicsCall

    public AsyncCicsCall()

Method Detail

### setSBYNDCicsProxyConfig

    public void setSBYNDCicsProxyConfig(SBYNDCicsProxyConfig config)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String s)

### getServer

    public java.lang.String getServer()

### setServer

    public void setServer(java.lang.String s)

### getPort

    public int getPort()

### setPort

    public void setPort(int i)

### getSslClass

    public java.lang.String getSslClass()

### setSslClass

    public void setSslClass(java.lang.String s)

### getSslPassword

    public java.lang.String getSslPassword()

### setSslPassword

    public void setSslPassword(java.lang.String s)

### getEciSync

    public boolean getEciSync()

### setEciSync

    public void setEciSync(boolean b)

### getUserId

    public java.lang.String getUserId()

### setUserId

    public void setUserId(java.lang.String s)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String s)

### getTransId

    public java.lang.String getTransId()

### setTransId

    public void setTransId(java.lang.String s)

### getEciTPN

    public boolean getEciTPN()

### setEciTPN

    public void setEciTPN(boolean b)

### getEciExtend

    public boolean getEciExtend()

### setEciExtend

    public void setEciExtend(boolean b)

### getEciLuwToken

    public int getEciLuwToken()

### setEciLuwToken

    public void setEciLuwToken(int i)

### getMessageQualifier

    public int getMessageQualifier()

### setMessageQualifier

    public void setMessageQualifier(int i)

### getNotifServer

    public java.lang.String getNotifServer()

  Getter for Async Response Notification server name;

  Returns:
    - the server name;

### setNotifServer

    public void setNotifServer(java.lang.String server)

  Setter for Async Response Notification server name;

  Parameters:
    ``server`` - - the name of the server;

### getNotifPort

    public int getNotifPort()

  Getter for Async Response Notification server port;

  Returns:
    - the server port;

### setNotifPort

    public void setNotifPort(int port)

  Setter for Async Response Notification server port;

  Parameters:
    ``port`` - - the port of the server;

### getTopic

    public java.lang.String getTopic()

  Getter for Topic - the topic that the completion event of the program will be published to;

  Returns:
    - the topic name;

### setTopic

    public void setTopic(java.lang.String topic)

  Setter for Topic - the name of the topic that the completion event of the program will be published to;

  Parameters:
    ``program`` - - the name of the program;

### getJMSparam1

    public java.lang.String getJMSparam1()

  Getter for user parameter 1;

  Returns:
    - parameter 1;

### setJMSparam1

    public void setJMSparam1(java.lang.String jmsparam1)

  Setter for user parameter 1;

  Parameters:
    ``JMSparam1`` - ;

### getJMSparam2

    public java.lang.String getJMSparam2()

  Getter for user parameter 2;

  Returns:
    - parameter 2;

### setJMSparam2

    public void setJMSparam2(java.lang.String jmsparam2)

  Setter for user parameter 2;

  Parameters:
    ``JMSparam2`` - ;

### getJMSparam3

    public java.lang.String getJMSparam3()

  Getter for user parameter 3;

  Returns:
    - parameter 3;

### setJMSparam3

    public void setJMSparam3(java.lang.String jmsparam3)

  Setter for user parameter 3;

  Parameters:
    ``JMSparam3`` - ;

### getJMSparam4

    public java.lang.String getJMSparam4()

  Getter for user parameter 4;

  Returns:
    - parameter 4;

### setJMSparam4

    public void setJMSparam4(java.lang.String jmsparam4)

  Setter for user parameter 4;

  Parameters:
    ``JMSparam4`` - ;

### getJMSparam5

    public java.lang.String getJMSparam5()

  Getter for user parameter 5;

  Returns:
    - parameter 5;

### setJMSparam5

    public void setJMSparam5(java.lang.String jmsparam5)

  Setter for user parameter 5;

  Parameters:
    ``JMSparam5`` - ;

### getProgram

    public java.lang.String getProgram()

  Getter for the name of the program invoked;

  Returns:
    - the program name;

### setProgram

    public void setProgram(java.lang.String program)

  Setter for the name of the program invoked;

  Parameters:
    ``program`` - - the name of the program;

### getStartTime

    public long getStartTime()

  Getter for the start time of the program call;

  Returns:
    - the time when the program call is issued;

### setStartTime

    public void setStartTime(long time)

  Setter for the start time - the time when the program call is issued;

  Parameters:
    ``time`` - - the time when the program call is issued;

### getReturnTime

    public long getReturnTime()

  Getter for the return time of the program call;

  Returns:
    - the time when the program call returns;

### setReturnTime

    public void setReturnTime(long time)

  Setter for the return time - the time when the program returned;

  Parameters:
    ``time`` - - the time when the program call returns;

### getCommArea

    public byte[] getCommArea()

  Getter for the CommArea - the CommArea used for passing data and get result from a program invoked;

  Returns:
    - the CommArea;

### setCommArea

    public void setCommArea(byte[] byteArray)

  Setter for the CommArea - the CommArea used for passing data and get result from a program invoked;

  Parameters:
    ``byteArray`` - - the CommArea;

### getCommAreaLength

    public int getCommAreaLength()

  Getter for the CommAreaLength - the CommAreaLength which specify the length of the CommArea used when the CICS program is called, note that the actual length of the byte array represented as `CommArea` is not necessarily the length specified in `CommAreaLength`;

  Returns:
    - the CommAreaLength;

### setCommAreaLength

    public void setCommAreaLength(int length)

  Setter for the CommAreaLength;

  Parameters:
    ``length`` - - the length;

### getReturnCode

    public int getReturnCode()

  Getter for the return code for the program call;

  Returns:
    - the return code (primary return code);

### getReturnCodeStr

    public java.lang.String getReturnCodeStr()

  Getter for the symbolic name for the return code for the program call;

  Returns:
    - the symbolic name for the return code (primary return code);

### setReturnCode

    public void setReturnCode(int code)

  Setter for the return code - the primary return code

  Parameters:
    ``code`` - - the code;

### getSecondaryReturnCode

    public int getSecondaryReturnCode()

  Getter for the secondary return code for the program call;

  Returns:
    - the return code (secondary return code);

### getSecondaryReturnCodeStr

    public java.lang.String getSecondaryReturnCodeStr()

  Getter for the symbolic name for the secondary return code for the program call;

  Returns:
    - the symbolic name for the secondary return code (secondary return code);

### setSecondaryReturnCode

    public void setSecondaryReturnCode(int code)

  Setter for the secondary return code - the secondary return code

  Parameters:
    ``code`` - - the code;

### getReturnMessage

    public java.lang.String getReturnMessage()

  Getter for the return message for the program call;

  Returns:
    - the return message;

### setReturnMessage

    public void setReturnMessage(java.lang.String msg)

  Setter for the return message;

  Parameters:
    ``msg`` - - the message text;

### getAsyncCallHandler

    public java.lang.Object getAsyncCallHandler()

### setAsyncCallHandler

    public void setAsyncCallHandler(java.lang.Object handler)

### isDone

    public boolean isDone()

### getDone

    public boolean getDone()

### setDone

    public void setDone(boolean done)

### returnCodeIs

    public boolean returnCodeIs(int returncode)

### secondaryReturnCodeIs

    public boolean secondaryReturnCodeIs(int secondaryreturncode)

### getResponse

    public void getResponse()
                     throws CicsClientException

  Read from the listener the result of the program call;

  Throws:
    `CicsClientException`

### close

    public void close()
               throws CicsClientException

  Throws:
    `CicsClientException`

### execute

    public void execute()
                 throws CicsClientException

  Issue an async call and proceed

  Throws:
    `CicsClientException`

### publish

    public void publish()

  Publish the async call completion event - it includes information such as CommArea content and other properties of the event such as error code, error text, start time, return time program name, etc. it is called by the async call handler in another thread;

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD